begin;
CREATE TABLE "AFActivos" (
  "IdActivo" INTEGER PRIMARY KEY,
  "DesActivo" varchar(50) NOT NULL default '',
  "GrupoActivo" int(11) NOT NULL default '0',
  "IdUbicacion" int(11) NOT NULL default '0',
  "TipoDepreciacion" int(11) NOT NULL default '0',
  "VidaDepreciable" double NOT NULL default '0',
  "ValorRescate" double NOT NULL default '0',
  "Modelo" varchar(50) NOT NULL default '',
  "Serie" varchar(50) NOT NULL default '',
  "FechaCompra" datetime NOT NULL default '0000-00-00 00:00:00',
  "FechaVenta" datetime NOT NULL default '0000-00-00 00:00:00',
  "PrecioCompra" double NOT NULL default '0',
  "PrecioVenta" double NOT NULL default '0',
  "Estado" int(11) NOT NULL default '0',
  "CuentaDepreciacion" varchar(15) NOT NULL default '',
  "CuentaGastos" varchar(15) NOT NULL default '',
  "CodInterno" varchar(15) NOT NULL default '',
  "Proveedor" varchar(50) NOT NULL default '',
  "Factura" int(11) NOT NULL default '0',
  "Comprobante" varchar(15) NOT NULL default ''
);
CREATE INDEX AFActivos_FechaCompra ON AFActivos (FechaCompra);
CREATE INDEX AFActivos_GrupoActivo ON AFActivos (GrupoActivo);
CREATE INDEX AFActivos_IdUbicacion ON AFActivos (IdUbicacion);
CREATE INDEX AFActivos_Serie ON AFActivos (Serie);

CREATE TABLE "AFDepreciacion" (
  "IdDepreciacion" INTEGER PRIMARY KEY,
  "IdActivo" int(11) NOT NULL default '0',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  "ValorAnterior" double NOT NULL default '0',
  "Importe" double NOT NULL default '0',
  "ValorActual" double NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX AFDepreciacion_FechaDepreciacion ON AFDepreciacion (Fecha);
CREATE INDEX AFDepreciacion_IdActivo ON AFDepreciacion (IdActivo);

CREATE TABLE "AFGrupos" (
  "IdGrupo" INTEGER PRIMARY KEY,
  "DesGrupo" varchar(50) NOT NULL default ''
);
CREATE TABLE "AFMantenimiento" (
  "IdMantenimiento" INTEGER PRIMARY KEY,
  "FecMantenimiento" datetime NOT NULL default '0000-00-00 00:00:00',
  "Detalle" text NOT NULL,
  "IdActivo" int(11) NOT NULL default '0',
  "EjecutadoPor" varchar(50) NOT NULL default '',
  "NumFactura" varchar(15) NOT NULL default '',
  "Valor" double NOT NULL default '0',
  "ProximoMantenimiento" datetime NOT NULL default '0000-00-00 00:00:00',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX AFMantenimiento_IdActivo ON AFMantenimiento (IdActivo);

CREATE TABLE "AFMovimientos" (
  "IdMovimiento" INTEGER PRIMARY KEY,
  "FecMovimiento" datetime NOT NULL default '0000-00-00 00:00:00',
  "IdActivo" int(11) NOT NULL default '0',
  "TipoMovimiento" char(2) NOT NULL default '',
  "DetalleMovimiento" text NOT NULL,
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX AFMovimientos_IdActivo ON AFMovimientos (IdActivo);

CREATE TABLE "AFUbicacion" (
  "IdUbicacion" INTEGER PRIMARY KEY,
  "DesUbicacion" varchar(40) NOT NULL default ''
);
CREATE TABLE "ArtiDatXBodega" (
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodBodega" char(2) NOT NULL default '',
  "Ubicacion" varchar(50) NOT NULL default '',
  "Minimo" double NOT NULL default '0',
  "Maximo" double NOT NULL default '0',
  PRIMARY KEY  ("CodArticulo","CodBodega")
);
CREATE TABLE "ArtiXClie" (
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodCliente" int(11) NOT NULL default '0',
  "PrecioVenta" double NOT NULL default '0',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  ("CodArticulo","CodCliente")
);
CREATE TABLE "ArtiXCom" (
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodCompuesto" varchar(15) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  PRIMARY KEY  ("CodArticulo","CodCompuesto")
);
CREATE TABLE "ArtiXEmp" (
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "TipoEmpaque" smallint(6) NOT NULL default '0',
  PRIMARY KEY  ("CodArticulo","CodEmpaque")
);
CREATE TABLE "ArtiXPro" (
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodProveedor" int(11) NOT NULL default '0',
  "PrecioCompra" double NOT NULL default '0',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  "Cantidad" double NOT NULL default '0',
  "Factura" int(11) NOT NULL default '0',
  PRIMARY KEY  ("CodArticulo","CodProveedor")
);
CREATE TABLE "ArtiXRef" (
  "CodArticulo" varchar(15) NOT NULL default '',
  "RefAlterna" varchar(15) NOT NULL default '',
  "Notas" varchar(100) NOT NULL default '',
  "PosReferencia" int(11) NOT NULL default '0',
  PRIMARY KEY  ("RefAlterna")
);
CREATE INDEX ArtiXRef_CodArticulo ON ArtiXRef (CodArticulo);

CREATE TABLE "Articulos" (
  "CodArticulo" varchar(15) NOT NULL default '',
  "DesArticulo" varchar(100) NOT NULL default '',
  "CodClase" char(3) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "CodAlterno" varchar(20) default '',
  "Impuestos" varchar(50) NOT NULL default '',
  "Bonificable" tinyint(1) NOT NULL default '0',
  "Minimo" double NOT NULL default '0',
  "Maximo" double NOT NULL default '0',
  "MaxDescuento" double NOT NULL default '0',
  "DetAplicacion" text,
  "Ubicacion" varchar(50) default '',
  "ColorInf" int(11) NOT NULL default '0',
  "Peso" double NOT NULL default '0',
  "ProveedorPrincipal" int(9) NOT NULL default '0',
  "TipoArticulo" smallint(6) NOT NULL default '0',
  "TiempoEntrega" double NOT NULL default '0',
  "ImpPorcGasto" double NOT NULL default '0',
  "ImpPorcFlete" double NOT NULL default '0',
  "ImpPorcSeguro" double NOT NULL default '0',
  "ImpPorcImpLEY" double NOT NULL default '0',
  "ImpPorcImpDAI" double NOT NULL default '0',
  "ImpPorcImpSEL" double NOT NULL default '0',
  "InfAdicional" text NOT NULL default '',
  PRIMARY KEY  ("CodArticulo")
);
CREATE INDEX Articulos_CodClase ON Articulos (CodClase);
CREATE INDEX Articulos_Ubicacion ON Articulos (Ubicacion);
CREATE INDEX Articulos_DesArticulo ON Articulos (DesArticulo);

CREATE TABLE "ArticulosCM" (
  "CodArticulo" varchar(15) NOT NULL default '',
  PRIMARY KEY  ("CodArticulo")
);
CREATE TABLE "Autorizaciones" (
  "CodCliente" int(11) NOT NULL default '0',
  "ClaveAutorizacion" varchar(5) NOT NULL default '',
  "ParametroEspecial" varchar(50) default '',
  "TipoAutorizacion" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  PRIMARY KEY  ("CodCliente","TipoAutorizacion")
);
CREATE TABLE "BitacoraArticulos" (
  "IdMovimiento" INTEGER PRIMARY KEY,
  "TipoMovimiento" char(2) NOT NULL default '',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodBodega" char(2) NOT NULL default '',
  "CodArticulo" varchar(15) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Documento" int(11) NOT NULL default '0',
  "CodBodegaDestino" char(2) NOT NULL default '',
  "Existencia" double NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX BitacoraArticulos_CodArticulo ON BitacoraArticulos (CodArticulo,CodBodega, IdMovimiento);

CREATE TABLE "Bodegas" (
  "CodBodega" char(2) NOT NULL default '',
  "DesBodega" varchar(15) NOT NULL default '',
  "MonedaInventario" char(1) NOT NULL default '',
  "InicializadaInventario" tinyint(1) NOT NULL default '0',
  "VentaPermitida" tinyint(1) NOT NULL default '0',
  "ConsultaPermitida" tinyint(1) NOT NULL default '0',
  PRIMARY KEY  ("CodBodega")
);
CREATE TABLE "CJMovimientoCaja" (
  "IdMovCaja" INTEGER PRIMARY KEY,
  "FechaIniciaOperacion" datetime NOT NULL default '0000-00-00 00:00:00',
  "FechaFinalOperacion" datetime NOT NULL default '0000-00-00 00:00:00',
  "Terminal" int(11) NOT NULL default '0',
  "Usuario" int(11) NOT NULL default '0',
  "CierreCaja" double NOT NULL default '0',
  "Cerrada" tinyint(1) NOT NULL default '0'
);
CREATE TABLE "CJMovimientoCajaMontos" (
  "IdMovCaja" int(11) NOT NULL default '0',
  "IdMoneda" char(1) NOT NULL default '',
  "TipoMovimiento" char(1) NOT NULL default '',
  "Monto" double NOT NULL default '0',
  PRIMARY KEY  ("IdMovCaja","IdMoneda","TipoMovimiento")
);
CREATE TABLE "CJMovimientos" (
  "IdMovimiento" INTEGER PRIMARY KEY,
  "TipoMov" varchar(5) NOT NULL default '',
  "IdTipoMov" int(11) NOT NULL default '0',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  "Monto" double NOT NULL default '0',
  "IdMoneda" char(1) NOT NULL default '',
  "Notas" text NOT NULL,
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "CJCierre" tinyint(1) NOT NULL default '0',
  "IdCJCierre" int(11) NOT NULL default '0'
);
CREATE INDEX CJMovimientos_IdCJCierre ON CJMovimientos (IdCJCierre);

CREATE TABLE "CJTipoMovimientos" (
  "IdTipoMovimiento" INTEGER PRIMARY KEY,
  "DesTipoMovimiento" varchar(20) NOT NULL default '',
  "Aplicable" char(1) NOT NULL default '',
  "CtrlInterno" varchar(200) NOT NULL default ''
);
CREATE TABLE "CksBancos" (
  "IdBanco" INTEGER PRIMARY KEY,
  "NombreBanco" varchar(25) NOT NULL default '',
  "NumeroCta" varchar(20) NOT NULL default '',
  "SaldoCta" double NOT NULL default '0',
  "SolicitudesPendientes" double NOT NULL default '0',
  "PendienteEntrega" double NOT NULL default '0',
  "Consecutivo" int(11) NOT NULL default '0',
  "MonedaCta" char(1) NOT NULL default '',
  "CodContable" varchar(15) NOT NULL default '',
  "SaldoUltConciliacion" double NOT NULL default '0',
  "FechaUltConciliacion" datetime NOT NULL default '0000-00-00 00:00:00',
  "SaldoBancoUltConciliacion" double NOT NULL default '0'
);
CREATE TABLE "CksDocumentos" (
  "IdMovimiento" INTEGER PRIMARY KEY,
  "IdCta" int(11) NOT NULL default '0',
  "TipDocumento" char(1) NOT NULL default '',
  "FecDocumento" datetime NOT NULL default '0000-00-00 00:00:00',
  "FecVence" datetime NOT NULL default '0000-00-00 00:00:00',
  "NumDocumento" int(11) NOT NULL default '0',
  "IdTitular" int(11) NOT NULL default '0',
  "NomBeneficiario" varchar(40) NOT NULL default '',
  "MonDocumento" double NOT NULL default '0',
  "Observaciones" text NOT NULL,
  "Anulado" tinyint(1) NOT NULL default '0',
  "CierreContable" tinyint(1) NOT NULL default '0',
  "Entregado" tinyint(1) NOT NULL default '0',
  "NoEntregar" tinyint(1) NOT NULL default '0',
  "SaldoAntCta" double NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "IdDocumentos" text NOT NULL,
  "Conciliado" tinyint(1) NOT NULL default '0',
  "FecConciliado" datetime NOT NULL default '0000-00-00 00:00:00',
  "CJCierre" tinyint(1) NOT NULL default '0',
  "IdCJCierre" int(11) NOT NULL default '0'
);
CREATE INDEX CksDocumentos_IdCta ON CksDocumentos (IdCta);
CREATE INDEX CksDocumentos_IdCJCierre ON CksDocumentos (IdCJCierre);

CREATE TABLE "Clases" (
  "CodClase" char(3) NOT NULL default '',
  "DesClase" varchar(30) NOT NULL default '',
  "GruClase" varchar(10) NOT NULL default '',
  PRIMARY KEY  ("CodClase")
);
CREATE INDEX Clases_GruClase ON Clases (GruClase);

CREATE TABLE "ClasesCM" (
  "CodClase" char(3) NOT NULL default '',
  "DesClase" varchar(30) NOT NULL default '',
  PRIMARY KEY  ("CodClase")
);
CREATE TABLE "Clientes" (
  "CodCliente" INTEGER PRIMARY KEY,
  "NomCliente" varchar(50) NOT NULL default '',
  "Telefono" varchar(75) NOT NULL default '',
  "Direccion" varchar(120) NOT NULL default '',
  "Impuestos" varchar(50) NOT NULL default '',
  "Exonera" smallint(6) NOT NULL default '0',
  "CedCliente" varchar(20) NOT NULL default '',
  "PersonaContacto" varchar(30) NOT NULL default '',
  "Apartado" varchar(15) NOT NULL default '',
  "FecIngreso" datetime NOT NULL default '0000-00-00 00:00:00',
  "SaldoActual" double NOT NULL default '0',
  "LimiteCredito" double NOT NULL default '0',
  "PlazoCredito" smallint(6) NOT NULL default '0',
  "ExtPlazo" smallint(6) NOT NULL default '0',
  "MaxDescuento" double NOT NULL default '0',
  "UtilMinima" double NOT NULL default '0',
  "ClaseCliente" char(1) NOT NULL default '',
  "TipoCliente" varchar(10) NOT NULL default '',
  "GrupoCliente" varchar(10) NOT NULL default '',
  "ZonaCliente" int(11) NOT NULL default '0',
  "Agente" int(11) NOT NULL default '0',
  "Cobrador" int(11) NOT NULL default '0',
  "DiasPago" smallint(6) NOT NULL default '0',
  "DiasTramite" smallint(6) NOT NULL default '0',
  "DiasFacturacion" varchar(50) NOT NULL default '',
  "TipoVenta" int(11) NOT NULL default '0',
  "Observaciones" varchar(100) NOT NULL default '',
  "InfAdicional" text NOT NULL default '',
  "MonedaCxC" char(1) NOT NULL default '',
  "Email" varchar(100) NOT NULL default '',
  "PunPromocional" int(11) NOT NULL default '0',
  "Activo" tinyint(1) NOT NULL default '0',
  "MetodoEnvio" varchar(30) NOT NULL default ''
);
CREATE TABLE "ConAsientos" (
  "IdAsiento" INTEGER PRIMARY KEY,
  "IdMes" int(11) NOT NULL default '0',
  "NumAsiento" varchar(10) NOT NULL default '',
  "EstadoAsiento" smallint(6) NOT NULL default '0',
  "UltModificacion" datetime NOT NULL default '0000-00-00 00:00:00',
  "HechoPor" varchar(40) NOT NULL default '',
  "Notas" text NOT NULL,
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE TABLE "ConAsientosDetalle" (
  "IdAsientoDetalle" INTEGER PRIMARY KEY,
  "IdAsiento" int(11) NOT NULL default '0',
  "CtaContable" varchar(15) NOT NULL default '',
  "MontoBase" double NOT NULL default '0',
  "MontoDebe" double NOT NULL default '0',
  "MontoHaber" double NOT NULL default '0',
  "Documento" varchar(10) NOT NULL default '',
  "NumDocumento" varchar(10) NOT NULL default '',
  "FecDocumento" datetime NOT NULL default '0000-00-00 00:00:00',
  "IdTitular" int(11) NOT NULL default '0',
  "IdCCosto" int(11) NOT NULL default '0',
  "IdEntorno" char(1) NOT NULL default '',
  "Notas" text NOT NULL
);
CREATE INDEX ConAsientosDetalle_IdAsiento ON ConAsientosDetalle (IdAsiento);

CREATE TABLE "ConAsientosFijos" (
  "IdAsientoFijo" INTEGER PRIMARY KEY,
  "Detalle" varchar(20) NOT NULL default ''
);
CREATE TABLE "ConAsientosFijosDetalle" (
  "IdAsiento" int(11) NOT NULL default '0',
  "CtaContable" varchar(15) NOT NULL default '',
  "MontoDebe" double NOT NULL default '0',
  "MontoHaber" double NOT NULL default '0',
  "Notas" text NOT NULL
);
CREATE INDEX ConAsientosFijosDetalle_IdAsiento ON ConAsientosFijosDetalle (IdAsiento);

CREATE TABLE "ConCatalogo" (
  "CtaContable" varchar(15) NOT NULL default '',
  "CtaDetalle" varchar(200) NOT NULL default '',
  "CtaTipo" char(3) NOT NULL default '',
  "CtaMayor" tinyint(1) NOT NULL default '0',
  "ControlInterno" text NOT NULL default '',
  "Observaciones" varchar(100) NOT NULL default '',
  PRIMARY KEY  ("CtaContable")
);
CREATE TABLE "ConCentros" (
  "CodCentro" INTEGER PRIMARY KEY,
  "DesCentro" varchar(30) NOT NULL default ''
);
CREATE TABLE "ConTitulares" (
  "CodTitular" INTEGER PRIMARY KEY,
  "Nombre" varchar(50) NOT NULL default '',
  "TipoIdentifica" varchar(10) NOT NULL default '',
  "Identificacion" varchar(20) NOT NULL default '',
  "Telefono" varchar(200) default '',
  "Direccion" varchar(200) default '',
  "Email" varchar(100) default '',
  "InfAdicional" text NOT NULL default ''
);
CREATE UNIQUE INDEX ConTitulares_Identificacion ON ConTitulares (Identificacion);
CREATE TABLE "ConInfAdicional" (
  "IdInfAdicional" INTEGER PRIMARY KEY,
  "NomInfAdicional" varchar(20) NOT NULL default '',
  "Valores" varchar(100) NOT NULL default ''
);
CREATE TABLE "ConDefCuentas" (
  "Nivel" smallint(6) NOT NULL default '0',
  "Digitos" smallint(6) NOT NULL default '0',
  PRIMARY KEY  ("Nivel")
);
CREATE TABLE "ConDisenos" (
  "IdDiseno" INTEGER PRIMARY KEY,
  "NomDiseno" varchar(30) NOT NULL default ''
);
CREATE TABLE "ConDisenosDetalle" (
  "IdDiseno" int(11) NOT NULL default '0',
  "LCelda" int(11) NOT NULL default '0',
  "CCelda" int(11) NOT NULL default '0',
  "Formula" text NOT NULL
);
CREATE INDEX ConDisenosDetalle_IdDiseno ON ConDisenosDetalle (IdDiseno);

CREATE TABLE "ConMeses" (
  "IdMes" INTEGER PRIMARY KEY,
  "IdPeriodo" int(11) NOT NULL default '0',
  "Mes" int(11) NOT NULL default '0',
  "Ano" int(11) NOT NULL default '0',
  "Estado" smallint(6) NOT NULL default '0'
);
CREATE TABLE "ConMovGenerales" (
  "Modulo" char(3) NOT NULL default '',
  "TipoMovimiento" char(2) NOT NULL default '',
  "IdMovimiento" int(11) NOT NULL default '0',
  "NumMovimiento" int(11) NOT NULL default '0',
  "FechaMovimiento" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodContable" varchar(15) NOT NULL default '',
  "MontoDebe" double NOT NULL default '0',
  "MontoHaber" double NOT NULL default '0',
  "Notas" text NOT NULL,
  "IdAsiento" int(11) NOT NULL default '0',
  "IdCCosto" int(11) NOT NULL default '0',
  "IdTitular" int(11) NOT NULL default '0'
);
CREATE INDEX ConMovGenerales_Modulo ON ConMovGenerales (Modulo,TipoMovimiento);

CREATE TABLE "ConMovimiento" (
  "CtaContable" varchar(15) NOT NULL default '',
  "Periodo" int(11) NOT NULL default '0',
  "Mes" int(11) NOT NULL default '0',
  "IdMoneda" char(1) NOT NULL default '',
  "MontoInicial" double NOT NULL default '0',
  "Debe" double NOT NULL default '0',
  "Haber" double NOT NULL default '0',
  "MontoFinal" double NOT NULL default '0'
);
CREATE INDEX ConMovimiento_Periodo ON ConMovimiento (Periodo,Mes,IdMoneda,CtaContable);

CREATE TABLE "ConPeriodos" (
  "IdPeriodo" INTEGER PRIMARY KEY,
  "DetPeriodo" varchar(40) NOT NULL default '',
  "MesInicial" smallint(6) NOT NULL default '0',
  "MesFinal" smallint(6) NOT NULL default '0',
  "Estado" smallint(6) NOT NULL default '0'
);
CREATE TABLE "ConTiposCuentas" (
  "IdTipoCta" char(1) NOT NULL default '',
  "DetalleTipoCta" varchar(10) NOT NULL default '',
  "DeudoraAcreedora" char(1) NOT NULL default '',
  PRIMARY KEY  ("IdTipoCta")
);
CREATE TABLE "ConfAutoAsientos" (
  "IdConfAutoAsiento" INTEGER PRIMARY KEY,
  "Modulo" char(3) NOT NULL default '',
  "TipoMovimiento" char(3) NOT NULL default '',
  "CtaContable" varchar(15) NOT NULL default '',
  "Titulo" varchar(50) NOT NULL default '',
  "DebeHaber" char(1) NOT NULL default '',
  "SqlAS" text NOT NULL,
  "SqlNotas" text NOT NULL
);
CREATE INDEX ConfAutoAsientos_Modulo ON ConfAutoAsientos (Modulo,TipoMovimiento,CtaContable);

CREATE TABLE "ConfCaracterControl" (
  "IdCaracterControl" INTEGER PRIMARY KEY,
  "StrCaracterControl" varchar(50) NOT NULL default '',
  "DetalleCaracter" varchar(30) NOT NULL default ''
);
CREATE TABLE "CxCAsignaCobros" (
  "NumDocumento" int(11) NOT NULL default '0',
  "TipoMovimiento" char(1) NOT NULL default '',
  "CodCliente" int(11) NOT NULL default '0',
  "CobradorAsignado" int(11) NOT NULL default '0',
  "FecAsignado" datetime NOT NULL default '0000-00-00 00:00:00'
);
CREATE INDEX CxCAsignaCobros_CodCliente ON CxCAsignaCobros (CodCliente);

CREATE TABLE "CxCAutorizados" (
  "IdAutorizado" INTEGER PRIMARY KEY,
  "CodCliente" int(11) NOT NULL default '0',
  "NombreAutorizado" varchar(50) NOT NULL default '',
  "Firma" text NOT NULL
);
CREATE INDEX CxCAutorizados_CodCliente ON CxCAutorizados (CodCliente);

CREATE TABLE "CxCClixPC" (
  "IdCredito" INTEGER PRIMARY KEY,
  "CodCliente" int(11) NOT NULL default '0',
  "FecSolicitud" datetime NOT NULL default '0000-00-00 00:00:00',
  "TipCredito" char(1) NOT NULL default '',
  "LimiteCredito" double NOT NULL default '0',
  "PlazoCredito" int(11) NOT NULL default '0',
  "IntNormal" double NOT NULL default '0',
  "IntMoratorio" double NOT NULL default '0',
  "Periodicidad" smallint(6) NOT NULL default '0'
);
CREATE INDEX CxCClixPC_CodCliente ON CxCClixPC (CodCliente);

CREATE TABLE "CxCMaDocum" (
  "TipMovimiento" char(1) NOT NULL default '',
  "CodCliente" int(11) NOT NULL default '0',
  "NumDocumento" int(11) NOT NULL default '0',
  "IdDocumento" int(11) NOT NULL default '0',
  "FecDocumento" datetime NOT NULL default '0000-00-00 00:00:00',
  "MontoDocumento" double NOT NULL default '0',
  "PlazoDocumento" smallint(6) NOT NULL default '0',
  "TipAfecta" char(1) NOT NULL default '',
  "DocAfecta" int(11) NOT NULL default '0',
  "SaldoDocumento" double NOT NULL default '0',
  "Notas" text NOT NULL,
  "PrioridadProceso" smallint(6) NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "IntNormal" double NOT NULL default '0',
  "IntMoratorio" double NOT NULL default '0',
  "Periodicidad" smallint(6) NOT NULL default '0',
  "DiaCorte" smallint(6) NOT NULL default '0',
  "CodEmpleado" int(11) NOT NULL default '0',
  "ControlInterno" text NOT NULL default '',
  "InfAdicional" text default ''
);
CREATE INDEX CxCMaDocum_CodCliente ON CxCMaDocum (CodCliente);

CREATE TABLE "CxCMaDocumCM" (
  "CodCliente" int(11) NOT NULL default '0'
);
CREATE TABLE "CxCMaDocumP" (
  "IdMovimiento" INTEGER PRIMARY KEY,
  "TipoMovimiento" char(1) NOT NULL default '',
  "NumDocumento" int(11) NOT NULL default '0',
  "IdDocumento" int(11) NOT NULL default '0',
  "FecDocumento" datetime NOT NULL default '0000-00-00 00:00:00',
  "MontoDocumento" double NOT NULL default '0',
  "TipAfecta" char(1) NOT NULL default '',
  "DocAfecta" int(11) NOT NULL default '0',
  "SaldoDocumento" double NOT NULL default '0',
  "CodCliente" int(11) NOT NULL default '0',
  "PlazoDocumento" smallint(6) NOT NULL default '0',
  "Notas" text NOT NULL,
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "IntNormal" double NOT NULL default '0',
  "IntMoratorio" double NOT NULL default '0',
  "Periodicidad" smallint(6) NOT NULL default '0',
  "DiaCorte" smallint(6) NOT NULL default '0',
  "CJCierre" tinyint(1) NOT NULL default '0',
  "IdCJCierre" int(11) NOT NULL default '0',
  "CodEmpleado" int(11) NOT NULL default '0',
  "ControlInterno" text NOT NULL default '',
  "InfAdicional" text NOT NULL default ''
);
CREATE INDEX CxCMaDocumP_IdCJCierre ON CxCMaDocumP (IdCJCierre);
CREATE INDEX CxCMaDocumP_CodCliente ON CxCMaDocumP (CodCliente);
CREATE INDEX CxCMaDocumP_ProcesaMovimientosCXC ON CxCMaDocumP (CodCliente, TipoMovimiento, NumDocumento);

CREATE TABLE "CxCMovPendientes" (
  "IdPendiente" INTEGER PRIMARY KEY,
  "IdMovimiento" int(11) NOT NULL default '0',
  "CodCliente" int(11) NOT NULL default '0',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  "TipoMovimiento" char(1) NOT NULL default '',
  "Saldo" double NOT NULL default '0'
);
CREATE INDEX CxCMovPendientes_IdCuota ON CxCMovPendientes (IdMovimiento);

CREATE TABLE "CxCServClientes" (
  "IdServicio" INTEGER PRIMARY KEY,
  "CodCliente" int(11) NOT NULL default '0',
  "DetalleServicio" text NOT NULL,
  "ValorServicio" double NOT NULL default '0'
);
CREATE TABLE "CxPMaDocum" (
  "TipMovimiento" char(1) NOT NULL default '',
  "CodProveedor" int(11) NOT NULL default '0',
  "NumDocumento" int(11) NOT NULL default '0',
  "IdDocumento" int(11) NOT NULL default '0',
  "FecDocumento" datetime NOT NULL default '0000-00-00 00:00:00',
  "MontoDocumento" double NOT NULL default '0',
  "PlazoDocumento" smallint(6) NOT NULL default '0',
  "TipAfecta" char(1) NOT NULL default '',
  "DocAfecta" int(11) NOT NULL default '0',
  "SaldoDocumento" double NOT NULL default '0',
  "Notas" text NOT NULL,
  "PrioridadProceso" smallint(6) NOT NULL default '0',
  "ControlInterno" text NOT NULL default '',
  "InfAdicional" text NOT NULL default '',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX CxPMaDocum_CodProveedor ON CxPMaDocum (CodProveedor);

CREATE TABLE "CxPMaDocumP" (
  "IdMovimiento" INTEGER PRIMARY KEY,
  "TipoMovimiento" char(1) NOT NULL default '',
  "NumDocumento" int(11) NOT NULL default '0',
  "IdDocumento" int(11) NOT NULL default '0',
  "FecDocumento" datetime NOT NULL default '0000-00-00 00:00:00',
  "MontoDocumento" double NOT NULL default '0',
  "TipAfecta" char(1) NOT NULL default '',
  "DocAfecta" int(11) NOT NULL default '0',
  "SaldoDocumento" double NOT NULL default '0',
  "CodProveedor" int(11) NOT NULL default '0',
  "PlazoDocumento" smallint(6) NOT NULL default '0',
  "Notas" text NOT NULL,
  "ControlInterno" text NOT NULL default '',
  "InfAdicional" text NOT NULL default '',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX CxPMaDocumP_CodProveedor ON CxPMaDocumP (CodProveedor);
CREATE INDEX CxPMaDocumP_ProcesaMovimientosCXP ON CxPMaDocumP (CodProveedor, TipoMovimiento, NumDocumento);

CREATE TABLE "DeAjustes" (
  "NumAjuste" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "IdSerie" int(11) NOT NULL default '0',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "CostoAnterior" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "PrecioAnterior" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Utilidad" double NOT NULL default '0',
  "TipoAju" char(1) NOT NULL default '',
  "Destino" varchar(50) NOT NULL default ''
);
CREATE INDEX DeAjustes_NumAjuste ON DeAjustes (NumAjuste);
CREATE INDEX DeAjustes_IdSerie ON DeAjustes (IdSerie);

CREATE TABLE "DeApartados" (
  "NumApartado" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Bodega" varchar(10) NOT NULL default '',
  "Entregado" double NOT NULL default '0',
  "DetEntregas" varchar(255) NOT NULL default ''
);
CREATE INDEX DeApartados_NumApartado ON DeApartados (NumApartado);

CREATE TABLE "DeCompras" (
  "NumCompra" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodArancel" varchar(20) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "CanBonifica" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Utilidad" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "PrecioFOB" double NOT NULL default '0',
  "Impuestos" varchar(50) NOT NULL default '',
  "PorcentajeFlete" double NOT NULL default '0',
  "PorcentajeGastos" double NOT NULL default '0',
  "PorcentajeSeguro" double NOT NULL default '0',
  "PorcentajeImpDAI" double NOT NULL default '0',
  "PorcentajeImpSEL" double NOT NULL default '0',
  "PorcentajeImpLEY" double NOT NULL default '0',
  "Vencimiento" datetime NOT NULL default '0000-00-00 00:00:00',
  "Nota" varchar(50) NOT NULL default '',
  "Destino" varchar(50) NOT NULL default ''
);
CREATE INDEX DeCompras_NumCompra ON DeCompras (NumCompra);

CREATE TABLE "DeDevoluciones" (
  "NumDevolucion" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  "Unidades" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "IdSeries" text NOT NULL
);
CREATE INDEX DeDevoluciones_NumDevolucion ON DeDevoluciones (NumDevolucion);

CREATE TABLE "DeFacturas" (
  "Id" INTEGER PRIMARY KEY,
  "NumFactura" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "CanBonifica" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Impuestos" varchar(50) NOT NULL default '',
  "CodBodega" char(2) NOT NULL default '',
  "DetalleSinCodigo" text,
  "NotasCrDe" double NOT NULL default '0',
  "ControlInterno" text NOT NULL default '',
  "IdSerie" text NOT NULL
);
CREATE INDEX DeFacturas_NumFactura ON DeFacturas (NumFactura);
CREATE INDEX DeFacturas_CodArticulo ON DeFacturas (CodArticulo, NumFactura);

CREATE TABLE "DeFacturasCM" (
  "NumFactura" int(11) NOT NULL default '0'
);
CREATE TABLE "DeNotas" (
  "Id" INTEGER PRIMARY KEY,
  "NumNota" int(11) NOT NULL default '0',
  "NumFactura" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "CodBodega" char(2) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  "Unidades" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "ControlInterno" text NOT NULL default '',
  "IdSeries" text NOT NULL
);
CREATE INDEX DeNotas_NumNota ON DeNotas (NumNota);

CREATE TABLE "DeOrdenTrabajoDis" (
  "IdDetRecepcion" INTEGER PRIMARY KEY,
  "IdOrdenTrabajo" int(11) NOT NULL default '0',
  "DetRecepcion" varchar(40) NOT NULL default '',
  "EsTitulo" tinyint(1) NOT NULL default '0',
  "PosLinea" smallint(6) NOT NULL default '0',
  "Identidad" char(3) NOT NULL default ''
);
CREATE TABLE "DeOrdenTrabajoGar" (
  "IdOrdenTrabajo" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "IdSerie" int(11) NOT NULL default '0',
  "IdSerieNueva" int(11) NOT NULL default '0',
  "Factura" int(11) NOT NULL default '0',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodBodDestino" char(2) NOT NULL default ''
);
CREATE INDEX DeOrdenTrabajoGar_IdSerieNueva ON DeOrdenTrabajoGar (IdSerieNueva);
CREATE INDEX DeOrdenTrabajoGar_IdSerie ON DeOrdenTrabajoGar (IdSerie);
CREATE INDEX DeOrdenTrabajoGar_IdOrdenTrabajo ON DeOrdenTrabajoGar (IdOrdenTrabajo);

CREATE TABLE "DeOrdenTrabajoLab" (
  "IdLaborOrden" INTEGER PRIMARY KEY,
  "IdOrdenTrabajo" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  "HechoPor" int(11) NOT NULL default '0',
  "LaborEspecial" smallint(6) NOT NULL default '0',
  "NomLabor" varchar(40) NOT NULL default '',
  "PreLabor" double NOT NULL default '0',
  "TotalLabor" double NOT NULL default '0'
);
CREATE INDEX DeOrdenTrabajoLab_IdOrdenTrabajo ON DeOrdenTrabajoLab (IdOrdenTrabajo);

CREATE TABLE "DeOrdenTrabajoNot" (
  "IdOrdenTrabajo" int(11) NOT NULL default '0',
  "IdNota" INTEGER PRIMARY KEY,
  "Notas" text NOT NULL,
  "FecAnotacion" datetime NOT NULL default '0000-00-00 00:00:00'
);
CREATE INDEX DeOrdenTrabajoNot_IdOrdenTrabajo ON DeOrdenTrabajoNot (IdOrdenTrabajo);

CREATE TABLE "DeOrdenTrabajoOtr" (
  "IdOtros" INTEGER PRIMARY KEY,
  "IdOrdenTrabajo" int(11) NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "Descripcion" varchar(40) NOT NULL default '',
  "PrecioUnit" double NOT NULL default '0',
  "Impuesto" tinyint(1) NOT NULL default '0'
);
CREATE INDEX DeOrdenTrabajoOtr_IdOrdenTrabajo ON DeOrdenTrabajoOtr (IdOrdenTrabajo);

CREATE TABLE "DeOrdenTrabajoRec" (
  "IdOrdenTrabajo" int(11) NOT NULL default '0',
  "IdDetRecepcion" int(11) NOT NULL default '0',
  "Notas" varchar(255) NOT NULL default '',
  PRIMARY KEY  ("IdOrdenTrabajo","IdDetRecepcion")
);
CREATE TABLE "DeOrdenTrabajoRep" (
  "IdRepuestoOrden" INTEGER PRIMARY KEY,
  "IdOrdenTrabajo" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  "CodBodega" char(2) NOT NULL default '',
  "NomRepuesto" varchar(40) NOT NULL default '',
  "PreRepuesto" double NOT NULL default '0',
  "IdSerie" text NOT NULL
);
CREATE INDEX DeOrdenTrabajoRep_IdOrdenTrabajo ON DeOrdenTrabajoRep (IdOrdenTrabajo);

CREATE TABLE "DeOrdenesCompra" (
  "NumOrden" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Utilidad" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "PrecioFOB" double NOT NULL default '0',
  "PorcentajeFlete" double NOT NULL default '0',
  "PorcentajeGastos" double NOT NULL default '0',
  "PorcentajeSeguro" double NOT NULL default '0',
  "PorcentajeImpDAI" double NOT NULL default '0',
  "PorcentajeImpSEL" double NOT NULL default '0',
  "PorcentajeImpLEY" double NOT NULL default '0',
  "Nota" varchar(50) NOT NULL default ''
);
CREATE INDEX DeOrdenesCompra_NumOrden ON DeOrdenesCompra (NumOrden);

CREATE TABLE "DePedidos" (
  "NumPedido" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Impuestos" varchar(50) NOT NULL default '',
  "CodBodega" char(2) NOT NULL default '',
  "DetalleSinCodigo" varchar(30) NOT NULL default '',
  "NotasCrDe" double NOT NULL default '0',
  "ControlInterno" text NOT NULL default '',
  "GenOrdenCompra" tinyint(1) NOT NULL default '0'
);
CREATE INDEX DePedidos_NumPreFactura ON DePedidos (NumPedido);

CREATE TABLE "DeProforma" (
  "Id" INTEGER PRIMARY KEY,
  "NumProforma" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Impuestos" varchar(50) NOT NULL default '',
  "CodBodega" char(2) NOT NULL default '',
  "DetalleSinCodigo" varchar(50) NOT NULL default ''
);
CREATE INDEX DeProforma_NumProforma ON DeProforma (NumProforma);

CREATE TABLE "DeSalidas" (
  "NumSalida" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Destino" varchar(50) NOT NULL default '',
  "Detalle" text NOT NULL,
  "IdSerie" text NOT NULL
);
CREATE INDEX DeSalidas_NumSalida ON DeSalidas (NumSalida);

CREATE TABLE "DeTramites" (
  "Id" INTEGER PRIMARY KEY,
  "NumTramite" int(11) NOT NULL default '0',
  "NumDocumento" int(11) NOT NULL default '0'
);
CREATE TABLE "DeTraslados" (
  "NumTraslado" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "Unidades" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "CodBodega" char(2) NOT NULL default '',
  "IdSeries" text NOT NULL,
  "Destino" varchar(50) NOT NULL default ''
);
CREATE INDEX DeTraslados_NumTraslado ON DeTraslados (NumTraslado);

CREATE TABLE "DocsConsecutivo" (
  "TipoDocumento" char(8) NOT NULL default '',
  "Consecutivo" int(11) NOT NULL default '0',
  PRIMARY KEY  ("TipoDocumento")
);
CREATE TABLE "Empaques" (
  "CodEmpaque" char(2) NOT NULL default '',
  "DesEmpaque" varchar(20) NOT NULL default '',
  "UnidadesEmpaque" double NOT NULL default '0',
  PRIMARY KEY  ("CodEmpaque")
);
CREATE TABLE "ExistenciasBodega" (
  "CodBodega" char(2) NOT NULL default '',
  "CodArticulo" varchar(15) NOT NULL default '',
  "IdLote" char(3) NOT NULL default '',
  "Existencia" double NOT NULL default '0',
  "Utilidad" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "Fisico" double NOT NULL default '0',
  "AjuFisico" double NOT NULL default '0',
  "AjustarTomaFisica" tinyint(1) NOT NULL default '0',
  "Fob" double NOT NULL default '0',
  "Vencimiento" datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  ("CodArticulo","CodBodega","IdLote")
);
CREATE TABLE "ExistenciasPedEspecial" (
  "IdArticulo" INTEGER PRIMARY KEY,
  "NumCompra" int(11) NOT NULL default '0',
  "Descripcion" varchar(40) NOT NULL default '',
  "Existencia" double NOT NULL default '0',
  "Costo" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Utilidad" double NOT NULL default '0',
  "Precio" double NOT NULL default '0',
  "ImpuestoVentas" tinyint(1) NOT NULL default '0',
  "MonedaPedido" char(1) NOT NULL default '',
  "Notas" varchar(100) NOT NULL default ''
);
CREATE TABLE "ExistenciasSeries" (
  "IdSerie" INTEGER PRIMARY KEY,
  "CodBodega" char(2) NOT NULL default '',
  "CodArticulo" varchar(15) NOT NULL default '',
  "Serie" varchar(30) NOT NULL default '',
  "IdCompra" int(11) NOT NULL default '0',
  "IdVenta" int(11) NOT NULL default '0',
  "IdSalida" int(11) NOT NULL default '0',
  "IdAjuste" int(11) NOT NULL default '0',
  "IdDevolucion" int(11) NOT NULL default '0',
  "IdOrdenServicio" int(11) NOT NULL default '0',
  "DatAdicional" text NOT NULL,
  "CostoSerie" double NOT NULL default '0'
);
CREATE INDEX ExistenciasSeries_IdVenta ON ExistenciasSeries (IdVenta);
CREATE INDEX ExistenciasSeries_IdSalida ON ExistenciasSeries (IdSalida);
CREATE INDEX ExistenciasSeries_CodBodega ON ExistenciasSeries (CodBodega);
CREATE INDEX ExistenciasSeries_IdCompra ON ExistenciasSeries (IdCompra);
CREATE INDEX ExistenciasSeries_IdAjuste ON ExistenciasSeries (IdAjuste);
CREATE INDEX ExistenciasSeries_IdDevolucion ON ExistenciasSeries (IdDevolucion);
CREATE INDEX ExistenciasSeries_IdDOrdenServicio ON ExistenciasSeries (IdOrdenServicio);
CREATE INDEX ExistenciasSeries_CodArticulo ON ExistenciasSeries (CodArticulo);

CREATE TABLE "FacturacionComTabla" (
  "IdUsuario" int(11) NOT NULL default '0',
  "TexCriterio" varchar(30) NOT NULL default '',
  "CriterioCalculo" text NOT NULL,
  "Columnas" text NOT NULL,
  PRIMARY KEY  ("IdUsuario","TexCriterio")
);
CREATE TABLE "FacturacionFactores" (
  "IdFactor" INTEGER PRIMARY KEY,
  "NomFactor" varchar(20) NOT NULL default '',
  "FactorAPrecio" double NOT NULL default '0',
  "TipoFactor" smallint(6) NOT NULL default '0'
);
CREATE TABLE "FacturacionFactoresDet" (
  "IdFactor" int(11) NOT NULL default '0',
  "TipoLinea" varchar(15) NOT NULL default '',
  "Codigo" varchar(15) NOT NULL default '',
  "CodEmpaque" char(2) NOT NULL default '',
  "TipoValor" char(1) NOT NULL default '',
  "Valor" double NOT NULL default '0',
  "IdMoneda" char(1) NOT NULL default ''
);
CREATE INDEX FacturacionFactoresDet_IdFactor ON FacturacionFactoresDet (IdFactor, TipoLinea, Codigo);
CREATE INDEX FacturacionFactoresDet_Codigo ON FacturacionFactoresDet (Codigo);

CREATE TABLE "FacturacionInfAdicional" (
  "IdInfAdicional" INTEGER PRIMARY KEY,
  "NomInfAdicional" varchar(20) NOT NULL default '',
  "Valores" varchar(100) NOT NULL default ''
);
CREATE TABLE "FacturacionPerfilBonifica" (
  "CodArticulo" varchar(15) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  "CantMaxima" double NOT NULL default '0',
  "CodBonifica" varchar(15) NOT NULL default '',
  "CanBonifica" double NOT NULL default '0'
);
CREATE TABLE "FacturacionSolicitudBodega" (
  "IdDestino" varchar(50) NOT NULL default '',
  "NumFactura" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "DetalleSinCodigo" text,
  "Cantidad" double NOT NULL default '0',
  "CanBonifica" double NOT NULL default '0',
  "Empaque" varchar(30) NOT NULL default '',
  "Bodega" varchar(30) NOT NULL default ''
);
CREATE INDEX FacturacionSolicitudBodega_NumFactura ON FacturacionSolicitudBodega (NumFactura);
CREATE INDEX FacturacionSolicitudBodega_IdDestino ON FacturacionSolicitudBodega (IdDestino);

CREATE TABLE "GenRepConfImprime" (
  "Modulo" varchar(5) NOT NULL default '',
  "TexCriterio" varchar(30) NOT NULL default '',
  "CriterioCalculo" text NOT NULL,
  "Columnas" text NOT NULL,
  "Grupos" text NOT NULL,
  PRIMARY KEY  ("Modulo","TexCriterio")
);
CREATE TABLE "GrafTipos" (
  "IdGrafico" INTEGER PRIMARY KEY,
  "NomGrafico" varchar(30) NOT NULL default '',
  "Parametros" text NOT NULL,
  "SqlGrafico" text NOT NULL
);
CREATE TABLE "DocsAdjuntos" (
  "Componente" varchar(10) NOT NULL default '',
  "IdLocaliza" varchar(70) NOT NULL default '',
  "Formato" varchar(10) NOT NULL default '',
  "Documento" mediumblob,
  PRIMARY KEY  ("Componente","IdLocaliza")
);
CREATE TABLE "MaAjustes" (
  "NumAjuste" INTEGER PRIMARY KEY,
  "NumDoc" varchar(15) NOT NULL default '',
  "FecAjuste" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodBodega" char(2) NOT NULL default '',
  "TotalSuma" double NOT NULL default '0',
  "TotalResta" double NOT NULL default '0',
  "DiferenciaCosto" double NOT NULL default '0',
  "DiferenciaPrecio" double NOT NULL default '0',
  "Observaciones" varchar(100) NOT NULL default '',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE TABLE "MaApartados" (
  "NumApartado" INTEGER PRIMARY KEY,
  "NumDocumento" int(11) NOT NULL default '0',
  "FecApartado" datetime NOT NULL default '0000-00-00 00:00:00',
  "Nombre" varchar(30) NOT NULL default '',
  "PlazoValides" int(11) NOT NULL default '0',
  "CodVendedor" int(11) NOT NULL default '0',
  "Observaciones" varchar(100) NOT NULL default '',
  "TipoVenta" int(11) NOT NULL default '0',
  "Total" double NOT NULL default '0',
  "Estado" smallint(6) NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "Saldo" double NOT NULL default '0',
  "Ubicacion" varchar(20) NOT NULL default ''
);
CREATE TABLE "MaCompras" (
  "NumCompra" INTEGER PRIMARY KEY,
  "FecCompra" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodProveedor" int(11) NOT NULL default '0',
  "SubTotalE" double NOT NULL default '0',
  "SubTotalG" double NOT NULL default '0',
  "Impuesto" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Total" double NOT NULL default '0',
  "Actualiza" tinyint(1) NOT NULL default '0',
  "TipoCompra" varchar(15) NOT NULL default '',
  "FacProveedor" varchar(10) NOT NULL default '',
  "FecProveedor" datetime NOT NULL default '0000-00-00 00:00:00',
  "NumOrdenCompra" int(11) NOT NULL default '0',
  "EsImportacion" smallint(6) NOT NULL default '0',
  "CodBodega" char(2) NOT NULL default '',
  "Plazo" smallint(6) NOT NULL default '0',
  "Notas" text,
  "MonedaDeCompra" char(1) NOT NULL default '',
  "FactorDeMoneda" double NOT NULL default '0',
  "ControlInterno" text,
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE TABLE "MaDevoluciones" (
  "NumDevolucion" INTEGER PRIMARY KEY,
  "NumCompra" int(11) NOT NULL default '0',
  "NumDocumento" int(11) NOT NULL default '0',
  "NumComprobante" int(11) NOT NULL default '0',
  "FecDevolucion" datetime NOT NULL default '0000-00-00 00:00:00',
  "SubTotalE" double NOT NULL default '0',
  "SubTotalG" double NOT NULL default '0',
  "Impuesto" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Total" double NOT NULL default '0',
  "Notas" text,
  "CodBodega" char(2) NOT NULL default '',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE TABLE "MaFacturas" (
  "NumFactura" INTEGER PRIMARY KEY,
  "NumDocumento" int(11) NOT NULL default '0',
  "FecFactura" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodCliente" int(11) NOT NULL default '0',
  "PerfilCredito" char(1) NOT NULL default '',
  "Plazo" int(11) NOT NULL default '0',
  "CodVendedor" int(11) NOT NULL default '0',
  "CodDigitador" int(11) NOT NULL default '0',
  "Anulada" tinyint(1) NOT NULL default '0',
  "NomContado" text NOT NULL,
  "SubTotalGravado" double NOT NULL default '0',
  "SubTotalExento" double NOT NULL default '0',
  "Impuesto" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "TotalFactura" double NOT NULL default '0',
  "TotalFinal" double NOT NULL default '0',
  "TipoVenta" int(11) NOT NULL default '0',
  "TerminalRecibe" int(11) NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "OrdenCompra" varchar(15) NOT NULL default '',
  "BodegaDespacho" char(2) NOT NULL default '',
  "Notas" text NOT NULL,
  "InfAdicional" text NOT NULL default '',
  "FacturaPorDocumento" char(2) NOT NULL default '',
  "HoraInicial" datetime NOT NULL default '0000-00-00 00:00:00',
  "HoraFinal" datetime NOT NULL default '0000-00-00 00:00:00',
  "MonedaDeVenta" char(1) NOT NULL default '',
  "FactorDeMoneda" double NOT NULL default '0',
  "ControlInterno" text,
  "PunPromocional" int(11) NOT NULL default '0',
  "CJCierre" tinyint(1) NOT NULL default '0',
  "IdCJCierre" int(11) NOT NULL default '0'
);
CREATE INDEX MaFacturas_IdCJCierre ON MaFacturas (IdCJCierre);
CREATE INDEX MaFacturas_FecFactura ON MaFacturas (FecFactura);
CREATE INDEX MaFacturas_ColaFacturas ON MaFacturas (TerminalRecibe, Anulada, NumDocumento);
CREATE INDEX MaFacturas_TerminalEmite ON MaFacturas (TerminalEmite);

CREATE TABLE "MaFacturasCM" (
  "NumFactura" INTEGER PRIMARY KEY
);
CREATE TABLE "MaNotas" (
  "NumNota" INTEGER PRIMARY KEY,
  "NumFactura" int(11) NOT NULL default '0',
  "NumDocumento" int(11) NOT NULL default '0',
  "FecNota" datetime NOT NULL default '0000-00-00 00:00:00',
  "SubTotalE" double NOT NULL default '0',
  "SubTotalG" double NOT NULL default '0',
  "Impuesto" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "MontoAjuste" double NOT NULL default '0',
  "Total" double NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "Observaciones" text NOT NULL,
  "ControlInterno" text NOT NULL default '',
  "ClaseNota" int(11) NOT NULL default '0',
  "CJCierre" tinyint(1) NOT NULL default '0',
  "IdCJCierre" int(11) NOT NULL default '0'
);
CREATE INDEX MaNotas_NumFactura ON MaNotas (NumFactura);
CREATE INDEX MaNotas_IdCJCierre ON MaNotas (IdCJCierre);

CREATE TABLE "MaOrdenTrabajo" (
  "IdOrdenTrabajo" INTEGER PRIMARY KEY,
  "NumDocumento" varchar(15) NOT NULL default '',
  "CodCliente" int(11) NOT NULL default '0',
  "NomCliente" varchar(40) NOT NULL default '',
  "TipOrdenTrabajo" int(11) NOT NULL default '0',
  "FecOrdenTrabajo" datetime NOT NULL default '0000-00-00 00:00:00',
  "FechaTerminado" datetime NOT NULL default '0000-00-00 00:00:00',
  "EmisorDeOrden" int(11) NOT NULL default '0',
  "UbicacionActual" int(11) NOT NULL default '0',
  "Estado" smallint(6) NOT NULL default '0',
  "NumFactura" int(11) NOT NULL default '0',
  "DiasEspera" smallint(6) NOT NULL default '0',
  "ValorSugerido" double NOT NULL default '0',
  "TotalServicios" double NOT NULL default '0',
  "TotalRepuestos" double NOT NULL default '0',
  "TotalOtros" double NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX MaOrdenTrabajo_CodCliente ON MaOrdenTrabajo (CodCliente);

CREATE TABLE "MaOrdenTrabajoDis" (
  "IdOrdenTrabajo" INTEGER PRIMARY KEY,
  "DetOrdenTrabajo" varchar(20) NOT NULL default '',
  "ClaseLabores" text NOT NULL,
  "CodCompuesto" varchar(15) NOT NULL default '',
  "MatPrima" varchar(15) NOT NULL default '',
  "UnidadIntercambio" double NOT NULL default '0'
);
CREATE TABLE "MaOrdenesCompra" (
  "NumOrden" INTEGER PRIMARY KEY,
  "FecOrden" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodProveedor" int(11) NOT NULL default '0',
  "SubTotal" double NOT NULL default '0',
  "Impuesto" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "Total" double NOT NULL default '0',
  "FacProveedor" varchar(10) NOT NULL default '',
  "FecProveedor" datetime NOT NULL default '0000-00-00 00:00:00',
  "EsImportacion" tinyint(1) NOT NULL default '0',
  "TipoOrden" varchar(15) NOT NULL default '',
  "CodBodega" char(2) NOT NULL default '',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "Notas" text NOT NULL,
  "MonedaDeOrden" char(1) NOT NULL default ''
);
CREATE TABLE "MaPedidos" (
  "NumPedido" INTEGER PRIMARY KEY,
  "NumDocumento" int(11) NOT NULL default '0',
  "FecPedido" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodCliente" int(11) NOT NULL default '0',
  "Plazo" smallint(6) NOT NULL default '0',
  "CodVendedor" int(11) NOT NULL default '0',
  "CodDigitador" int(11) NOT NULL default '0',
  "NomContado" text NOT NULL,
  "SubTotalGravado" double NOT NULL default '0',
  "SubTotalExento" double NOT NULL default '0',
  "Impuesto" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "TotalFinal" double NOT NULL default '0',
  "TipoVenta" int(11) NOT NULL default '0',
  "MonedaDeVenta" char(1) NOT NULL default '',
  "FactorDeMoneda" double NOT NULL default '0',
  "OrdenCompra" varchar(10) NOT NULL default '',
  "Estado" smallint(6) NOT NULL default '0',
  "BodegaDespacho" char(2) NOT NULL default '',
  "Notas" text NOT NULL,
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE TABLE "MaProforma" (
  "NumProforma" INTEGER PRIMARY KEY,
  "FecProforma" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodCliente" int(11) NOT NULL default '0',
  "Plazo" smallint(6) NOT NULL default '0',
  "CodVendedor" int(11) NOT NULL default '0',
  "CodDigitador" int(11) NOT NULL default '0',
  "Anulada" tinyint(1) NOT NULL default '0',
  "NomContado" text NOT NULL,
  "SubTotalGravado" double NOT NULL default '0',
  "SubTotalExento" double NOT NULL default '0',
  "Impuesto" double NOT NULL default '0',
  "Descuento" double NOT NULL default '0',
  "TotalFinal" double NOT NULL default '0',
  "TipoVenta" int(11) NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "Notas" text NOT NULL,
  "InfAdicional" text default '',
  "TipoDocumento" char(2) NOT NULL default '',
  "Estado" smallint(6) NOT NULL default '0',
  "ControlInterno" text,
  "OrdenCompra" varchar(15) NOT NULL default '',
  "MonedaDeVenta" char(1) NOT NULL default '',
  "FactorDeMoneda" double NOT NULL default '0'
);
CREATE TABLE "MaSalidas" (
  "NumSalida" INTEGER PRIMARY KEY,
  "NumDoc" varchar(15) NOT NULL default '',
  "FecSalida" datetime NOT NULL default '0000-00-00 00:00:00',
  "TipoSalida" varchar(15) NOT NULL default '',
  "Total" double NOT NULL default '0',
  "CodBodega" char(2) NOT NULL default '',
  "Observaciones" varchar(100) NOT NULL default '',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE TABLE "MaTramites" (
  "NumTramite" INTEGER PRIMARY KEY,
  "CodCliente" int(11) NOT NULL default '0',
  "FecTramite" datetime NOT NULL default '0000-00-00 00:00:00',
  "FechaIni" datetime NOT NULL default '0000-00-00 00:00:00',
  "FechaFin" datetime NOT NULL default '0000-00-00 00:00:00',
  "TipoFiltro" char(1) NOT NULL default '',
  "Notas" text NOT NULL,
  "Total" double NOT NULL default '0'
);
CREATE TABLE "MaTraslados" (
  "NumTraslado" INTEGER PRIMARY KEY,
  "FecTraslado" datetime NOT NULL default '0000-00-00 00:00:00',
  "CodBodega" char(2) NOT NULL default '',
  "Total" double NOT NULL default '0',
  "Observaciones" varchar(100) NOT NULL default '',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE TABLE "Monedas" (
  "IdMoneda" char(1) NOT NULL default '',
  "NomMoneda" varchar(15) NOT NULL default '',
  "FactorCambio" double NOT NULL default '0',
  "EsLocal" tinyint(1) NOT NULL default '0',
  "Signo" char(1) NOT NULL default '',
  "Plural" varchar(5) NOT NULL default '',
  PRIMARY KEY  ("IdMoneda")
);
CREATE TABLE "MonedasHistorico" (
  "PerMoneda" varchar(8) NOT NULL default '',
  "IdMoneda" char(1) NOT NULL default '',
  "FactorCambio" double NOT NULL default '0',
  PRIMARY KEY  ("PerMoneda","IdMoneda")
);
CREATE TABLE "OrdenTrabajoEmisor" (
  "IdEmisor" INTEGER PRIMARY KEY,
  "DetEmisor" varchar(30) NOT NULL default ''
);
CREATE TABLE "OrdenTrabajoUbicacion" (
  "IdUbicacion" INTEGER PRIMARY KEY,
  "DetUbicacion" varchar(30) NOT NULL default ''
);
CREATE TABLE "PaApartados" (
  "IdAbono" INTEGER PRIMARY KEY,
  "IdApartado" int(11) NOT NULL default '0',
  "FechaAbono" datetime NOT NULL default '0000-00-00 00:00:00',
  "Monto" double NOT NULL default '0',
  "Notas" varchar(100) NOT NULL default '',
  "HechoPor" int(11) NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "CJCierre" tinyint(1) NOT NULL default '0',
  "IdCJCierre" int(11) NOT NULL default '0'
);
CREATE INDEX PaApartados_IdCJCierre ON PaApartados (IdCJCierre);
CREATE INDEX PaApartados_IdApartado ON PaApartados (IdApartado);

CREATE TABLE "PaFacturas" (
  "NumFactura" int(11) NOT NULL default '0',
  "TipoPago" smallint(6) NOT NULL default '0',
  "NumPago" varchar(20) NOT NULL default '',
  "MontoPago" double NOT NULL default '0',
  "NotasPago" varchar(100) NOT NULL default '',
  "IdMoneda" char(1) NOT NULL default ''
);
CREATE INDEX PaFacturas_NumFactura ON PaFacturas (NumFactura,TipoPago);

CREATE TABLE "PaFacturasTipos" (
  "TipoId" int(11) NOT NULL default '0',
  "TipoPago" varchar(20) NOT NULL default '',
  PRIMARY KEY  ("TipoId")
);
CREATE TABLE "Personal" (
  "CodEmpleado" int(11) NOT NULL default '0',
  "NomEmpleado" varchar(30) default '',
  "Accesos" text,
  "AccesosEspeciales" text,
  "ClaveAcceso" varchar(20) default '',
  "EntornoGrafico" varchar(20) default '',
  "EstadoClave" int(11) NOT NULL default '0',
  "TipoUsuario" int(11) NOT NULL default '0',
  PRIMARY KEY  ("CodEmpleado")
);
CREATE TABLE "PersonalGrupos" (
  "NomGrupo" varchar(30) default '',
  "Accesos" text,
  "AccesosEspeciales" text,
  PRIMARY KEY  ("NomGrupo")
);
CREATE TABLE "PreCatalogo" (
  "Cta" varchar(15) NOT NULL default '',
  "CtaDetalle" varchar(200) NOT NULL default '',
  "CtaTipo" char(3) NOT NULL default '',
  "TipoCalculo" smallint(6) default '0',
  "CtaAcumula" tinyint(1) NOT NULL default '0',
  "CmdAutomatiza" varchar(200) NOT NULL default '',
  "Observaciones" varchar(100) NOT NULL default '',
  "Responsable" int(11) NOT NULL default '0',
  PRIMARY KEY  ("Cta")
);
CREATE TABLE "PreDefCuentas" (
  "Nivel" smallint(6) NOT NULL default '0',
  "Digitos" smallint(6) NOT NULL default '0',
  PRIMARY KEY  ("Nivel")
);
CREATE TABLE "PreMeses" (
  "IdMes" INTEGER PRIMARY KEY,
  "IdPeriodo" int(11) NOT NULL default '0',
  "Mes" int(11) NOT NULL default '0',
  "Ano" int(11) NOT NULL default '0',
  "Estado" smallint(6) NOT NULL default '0'
);
CREATE TABLE "PreMovimiento" (
  "IdMovimiento" INTEGER PRIMARY KEY,
  "Cta" varchar(15) NOT NULL default '',
  "Periodo" int(11) NOT NULL default '0',
  "Mes" int(11) NOT NULL default '0',
  "IdMoneda" char(1) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  "Valor" double NOT NULL default '0',
  "Saldo" double NOT NULL default '0',
  "TipoMovimiento" char(1) NOT NULL default '',
  "ControlInterno" varchar(100) NOT NULL default '',
  "Observaciones" varchar(200) NOT NULL default '',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX PreMovimiento_PrePeriodo ON PreMovimiento (Cta,Periodo,Mes,TipoMovimiento);

CREATE TABLE "PrePeriodos" (
  "IdPeriodo" INTEGER PRIMARY KEY,
  "DetPeriodo" varchar(40) NOT NULL default '',
  "MesInicial" smallint(6) NOT NULL default '0',
  "MesFinal" smallint(6) NOT NULL default '0',
  "Estado" smallint(6) NOT NULL default '0'
);
CREATE TABLE "PreTiposCuentas" (
  "IdTipoCta" char(1) NOT NULL default '',
  "DetalleTipoCta" varchar(20) NOT NULL default '',
  PRIMARY KEY  ("IdTipoCta")
);
CREATE TABLE "PreciosMinimos" (
  "CodClase" char(3) NOT NULL default '',
  "UtilidadMinima" double NOT NULL default '0',
  PRIMARY KEY  ("CodClase")
);
CREATE TABLE "Proveedores" (
  "CodProveedor" INTEGER PRIMARY KEY,
  "DesProveedor" varchar(40) NOT NULL default '',
  "CedProveedor" varchar(20) NOT NULL default '',
  "Telefono" varchar(200) default '',
  "Direccion" varchar(60) default '',
  "PersonaContacto" varchar(30) default '',
  "Apartado" varchar(15) default '',
  "FecIngreso" datetime NOT NULL default '0000-00-00 00:00:00',
  "LimiteCredito" double NOT NULL default '0',
  "SaldoActual" double NOT NULL default '0',
  "PlazoCredito" int(11) NOT NULL default '0',
  "MonedaCxP" char(1) NOT NULL default '',
  "TipoProveedor" varchar(10) default '',
  "Email" varchar(100) default '',
  "IdPagoElectronico" varchar(30) default '',
  "InfAdicional" text NOT NULL default '',
  "Impuestos" varchar(50) NOT NULL default '',
  "Descuento" double NOT NULL default '0'
);
CREATE TABLE "PuntosPromocionales" (
  "TipoLinea" varchar(15) NOT NULL default '',
  "Codigo" varchar(15) NOT NULL default '',
  "Monto" double NOT NULL default '0',
  "Puntos" int(11) NOT NULL default '0'
);
CREATE TABLE "RHAccionesItemControl" (
  "CodAccion" char(2) NOT NULL default '',
  "ItemControl" varchar(10) NOT NULL default '',
  "DetalleItem" varchar(20) NOT NULL default '',
  PRIMARY KEY  ("CodAccion","ItemControl")
);
CREATE TABLE "RHAccionesPersonal" (
  "NumAccion" INTEGER PRIMARY KEY,
  "CodAccion" char(2) NOT NULL default '',
  "ItemControl" varchar(10) NOT NULL default '',
  "FecInicial" datetime NOT NULL default '0000-00-00 00:00:00',
  "FecFinal" datetime NOT NULL default '0000-00-00 00:00:00',
  "Notas" text NOT NULL,
  "TiempoDuracion" double NOT NULL default '0',
  "IdEmpleado" int(11) NOT NULL default '0',
  "Procesada" tinyint(1) NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0'
);
CREATE INDEX RHAccionesPersonal_IdEmpleado ON RHAccionesPersonal (IdEmpleado);

CREATE TABLE "RHAsistenciaTrabajo" (
  "IdMarca" INTEGER PRIMARY KEY,
  "IdEmpleado" int(11) NOT NULL default '0',
  "TipoMarca" varchar(2) NOT NULL default '',
  "Marca" datetime NOT NULL default '0000-00-00 00:00:00',
  "DifTiempo" int(11) NOT NULL default '0',
  "Notas" varchar(50) NOT NULL default '',
  "Prosesada" tinyint(1) NOT NULL default '0'
);
CREATE INDEX RHAsistenciaTrabajo_IdEmpleado ON RHAsistenciaTrabajo (IdEmpleado);

CREATE TABLE "RHDeducciones" (
  "CodDeduccion" char(2) NOT NULL default '',
  "DesDeduccion" varchar(30) NOT NULL default '',
  "EsPorcentaje" tinyint(1) NOT NULL default '0',
  "EsAhorro" tinyint(1) NOT NULL default '0',
  "TipoDeduccion" int(11) NOT NULL default '0',
  "ValorDeduccion" double NOT NULL default '0',
  "ValorDeduccionStr" varchar(50) default '',
  PRIMARY KEY  ("CodDeduccion")
);
CREATE TABLE "RHDeduccionesXEmpleado" (
  "IdEmpleado" int(11) NOT NULL default '0',
  "CodDeduccion" char(2) NOT NULL default '',
  "Monto" double NOT NULL default '0',
  "Cuota" double NOT NULL default '0',
  "SaldoDeduccion" double NOT NULL default '0',
  "TotalAhorro" double NOT NULL default '0',
  PRIMARY KEY  ("IdEmpleado","CodDeduccion")
);
CREATE TABLE "RHDepartamentos" (
  "CodDepartamento" varchar(4) NOT NULL default '',
  "NomDepartamento" varchar(50) NOT NULL default '',
  PRIMARY KEY  ("CodDepartamento")
);
CREATE TABLE "RHEmpleados" (
  "IdEmpleado" INTEGER PRIMARY KEY,
  "Cedula" varchar(15) NOT NULL default '',
  "Nombre" varchar(40) NOT NULL default '',
  "Telefono" varchar(25) NOT NULL default '',
  "Direccion" varchar(150) NOT NULL default '',
  "FNacimiento" datetime NOT NULL default '0000-00-00 00:00:00',
  "FIngreso" datetime NOT NULL default '0000-00-00 00:00:00',
  "FSalida" datetime NOT NULL default '0000-00-00 00:00:00',
  "Genero" int(11) NOT NULL default '0',
  "EstadoCivil" int(11) NOT NULL default '0',
  "Nacionalidad" varchar(17) NOT NULL default '',
  "Departamento" varchar(4) NOT NULL default '',
  "Puesto" varchar(4) NOT NULL default '',
  "SueldoBase" double NOT NULL default '0',
  "SalarioPorHora" tinyint(1) NOT NULL default '0',
  "TipoPlanilla" int(11) NOT NULL default '0',
  "Hijos" int(11) NOT NULL default '0',
  "Estado" int(11) NOT NULL default '0',
  "TipoPago" int(11) NOT NULL default '0',
  "DiasVacacionesRecibidas" double NOT NULL default '0',
  "DetSalida" text NOT NULL,
  "Turno" int(11) NOT NULL default '0',
  "HorasXMes" double NOT NULL default '0',
  "CXCEmpleado" int(11) NOT NULL default '0'
);
CREATE TABLE "RHEmpleadosInfAdi" (
  "IdEmpleado" int(11) NOT NULL default '0',
  "ItemInfAdi" varchar(50) NOT NULL default '',
  "ValorInfAdi" varchar(30) NOT NULL default '',
  PRIMARY KEY  ("IdEmpleado","ItemInfAdi")
);
CREATE TABLE "RHLaborXEmpleado" (
  "IdLabor" INTEGER PRIMARY KEY,
  "IdEmpleado" int(11) NOT NULL default '0',
  "CodDepartamento" varchar(4) NOT NULL default '',
  "CodLabor" varchar(4) NOT NULL default '',
  "FechaInicialLabor" datetime NOT NULL default '0000-00-00 00:00:00',
  "FechaFinalLabor" datetime NOT NULL default '0000-00-00 00:00:00',
  "HorasLabor" double NOT NULL default '0',
  "TipoHoras" varchar(2) NOT NULL default '',
  "Notas" varchar(50) NOT NULL default '',
  "Prosesada" tinyint(1) NOT NULL default '0'
);
CREATE INDEX RHLaborXEmpleado_IdEmpleado ON RHLaborXEmpleado (IdEmpleado);

CREATE TABLE "RHLabores" (
  "CodLabor" varchar(4) NOT NULL default '',
  "DesLabor" varchar(30) NOT NULL default '',
  "EsLaborPorContrato" tinyint(1) NOT NULL default '0',
  "ValorAdicional" double NOT NULL default '0',
  PRIMARY KEY  ("CodLabor")
);
CREATE TABLE "RHOtrosSalarios" (
  "CodOtroSalario" char(2) NOT NULL default '',
  "DesOtroSalario" varchar(30) NOT NULL default '',
  "AfectaSigPlanilla" tinyint(1) NOT NULL default '0',
  "AcumulaAguinaldo" tinyint(1) NOT NULL default '0',
  "AplicaDeduccionesObligatorias" tinyint(1) NOT NULL default '0',
  "TipoOtroSalario" int(11) NOT NULL default '0',
  "ValorOtroSalario" double NOT NULL default '0',
  "ValorOtroSalarioStr" varchar(50) default '',
  PRIMARY KEY  ("CodOtroSalario")
);
CREATE TABLE "RHOtrosSalariosXEmpleado" (
  "IdEmpleado" int(11) NOT NULL default '0',
  "CodOtroSalario" char(2) NOT NULL default '',
  "Monto" double NOT NULL default '0',
  PRIMARY KEY  ("IdEmpleado","CodOtroSalario")
);
CREATE TABLE "RHPlanillas" (
  "NumPlanilla" INTEGER PRIMARY KEY,
  "FecInicio" datetime NOT NULL default '0000-00-00 00:00:00',
  "FecFinal" datetime NOT NULL default '0000-00-00 00:00:00',
  "FecCorteAnterior" datetime NOT NULL default '0000-00-00 00:00:00',
  "TipoPlanilla" int(11) NOT NULL default '0',
  "Cerrada" tinyint(1) NOT NULL default '0',
  "PagoAguinaldo" int(11) NOT NULL default '0',
  "MesCierre" int(11) NOT NULL default '0',
  "AnoCierre" int(11) NOT NULL default '0'
);
CREATE TABLE "RHPlanillasDetalle" (
  "NumPlanilla" int(11) NOT NULL default '0',
  "IdEmpleado" int(11) NOT NULL default '0',
  "TipoMovimiento" char(2) NOT NULL default '',
  "CodMovimiento" char(2) NOT NULL default '',
  "IDDocumento" int(11) NOT NULL default '0',
  "Monto" double NOT NULL default '0',
  "ValOrigen" double NOT NULL default '0',
  "Detalle" text,
  "SaldoAnterior" double NOT NULL default '0',
  PRIMARY KEY  ("NumPlanilla","IdEmpleado","TipoMovimiento","CodMovimiento","IDDocumento")
);
CREATE TABLE "RHPuestos" (
  "CodPuesto" varchar(4) NOT NULL default '',
  "DesPuesto" varchar(30) NOT NULL default '',
  PRIMARY KEY  ("CodPuesto")
);
CREATE TABLE "RHSalariosXMes" (
  "IdEmpleado" int(11) NOT NULL default '0',
  "Ano" int(11) NOT NULL default '0',
  "Mes" int(11) NOT NULL default '0',
  "AcumuladoSB" double NOT NULL default '0',
  "AcumuladoOS" double NOT NULL default '0',
  "AcumuladoDS" double NOT NULL default '0',
  "DiasTrabajados" double NOT NULL default '0',
  PRIMARY KEY  ("IdEmpleado","Ano","Mes")
);
CREATE TABLE "RHSalariosXMesTemporarios" (
  "IdEmpleado" int(11) NOT NULL default '0',
  "Ano" int(11) NOT NULL default '0',
  "Mes" int(11) NOT NULL default '0',
  "AcumuladoSB" double NOT NULL default '0',
  "AcumuladoOS" double NOT NULL default '0',
  "AcumuladoDS" double NOT NULL default '0',
  "DiasTrabajados" double NOT NULL default '0',
  PRIMARY KEY  ("IdEmpleado","Ano","Mes")
);
CREATE TABLE "RHTiposAcciones" (
  "TipoAccion" char(2) NOT NULL default '',
  "DetalleAccion" varchar(20) NOT NULL default '',
  "TipoImpresion" int(11) NOT NULL default '0',
  "AfectaPlanilla" tinyint(1) NOT NULL default '0',
  "SumaPlanilla" tinyint(1) NOT NULL default '0',
  "AfectaSueldoBase" tinyint(1) NOT NULL default '0',
  "FormatoDeAccion" text NOT NULL,
  "RequiereOmitirFecha" tinyint(1) NOT NULL default '0',
  PRIMARY KEY  ("TipoAccion")
);
CREATE TABLE "SCADSupervisor" (
  "TipTransaccion" varchar(5) NOT NULL default '',
  "ValTransaccion" text NOT NULL,
  "FecTransaccion" datetime NOT NULL default '0000-00-00 00:00:00'
);
CREATE INDEX SCADSupervisor_TipTransaccion ON SCADSupervisor (TipTransaccion);

CREATE TABLE "TableroComm" (
  "IdComm" INTEGER PRIMARY KEY,
  "TipoComm" char(1) NOT NULL default '',
  "PuertoEntrada" varchar(5) NOT NULL default '',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  "TerminalRecibe" int(11) NOT NULL default '0',
  "UsuarioRecibe" int(11) NOT NULL default '0',
  "DatosRecibidos" text NOT NULL,
  "Procesado" tinyint(1) NOT NULL default '0',
  "Notas" text NOT NULL
);

CREATE TABLE "TableroOrdenes" (
  "IdOrden" INTEGER PRIMARY KEY,
  "CodCliente" int(11) NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "Cantidad" double NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioRecibe" int(11) NOT NULL default '0',
  "UsuarioEmite" text NOT NULL,
  "Procesado" tinyint(1) NOT NULL default '0',
  "Notas" text NOT NULL
);

CREATE TABLE "TableroConfFormularios" (
  "IdCampo" INTEGER PRIMARY KEY,
  "NomCampo" varchar(30) default '',
  "SqlEjecuta" text,
  "CamposRetorna" text,
  "DetalleCampo" varchar(100) default ''
);
CREATE INDEX TableroConfFormularios_NomCampo ON TableroConfFormularios (NomCampo);

CREATE TABLE "TableroSurtidores" (
  "IdSurtidor" INTEGER PRIMARY KEY,
  "NumSurtidor" varchar(5) NOT NULL default '',
  "Monto" double NOT NULL default '0',
  "Cantidad" double NOT NULL default '0',
  "CodArticulo" varchar(15) NOT NULL default '',
  "Procesado" tinyint(1) NOT NULL default '0',
  "TerminalEmite" int(11) NOT NULL default '0',
  "UsuarioEmite" int(11) NOT NULL default '0',
  "Notas" varchar(255) NOT NULL default ''
);
CREATE TABLE "TableroTareas" (
  "IdTarea" INTEGER PRIMARY KEY,
  "NomTarea" varchar(100) default '',
  "Criterio" text,
  "FechaEjecucion" datetime default '0000-00-00 00:00:00',
  "EjecucionCada" varchar(10) default '',
  "UltimaEjecucion" datetime default '0000-00-00 00:00:00'
);
CREATE TABLE "TableroTelefonico" (
  "IdRegCentral" INTEGER PRIMARY KEY,
  "Usuario" int(11) NOT NULL default '0',
  "Extencion" int(11) NOT NULL default '0',
  "Linea" varchar(4) NOT NULL default '',
  "TiempoUsado" varchar(8) NOT NULL default '',
  "Fecha" datetime NOT NULL default '0000-00-00 00:00:00',
  "TipoConeccion" char(1) NOT NULL default '',
  "Numero" varchar(15) NOT NULL default '',
  "Concepto" text
);
CREATE TABLE "TiposDeImpuesto" (
  "IdImpuesto" varchar(6) NOT NULL default '',
  "DetImpuesto" varchar(15) NOT NULL default '',
  "Porcentaje" double NOT NULL default '0',
  "AplicaA" char(3) NOT NULL default '',
  PRIMARY KEY  ("IdImpuesto")
);
CREATE TABLE "TiposDeNotas" (
  "TipoNota" INTEGER PRIMARY KEY,
  "NomNota" varchar(30) NOT NULL default ''
);
CREATE TABLE "Zonas" (
  "CodZona" INTEGER PRIMARY KEY,
  "DesZona" varchar(30) NOT NULL default ''
);
CREATE TABLE "ComDeListasDistribucion" (
  "IdContacto" INTEGER PRIMARY KEY,
  "IdListaDistribucion" int(11) NOT NULL default '0',
  "Empresa" varchar(50) NOT NULL default '',
  "Nombre" varchar(50) NOT NULL default '',  
  "Correo" varchar(50) NOT NULL default '',
  "SMS" varchar(50) NOT NULL default '',
  "FAX" varchar(50) NOT NULL default '',
  "Estado" smallint(6) default '0'
);
CREATE INDEX ComDeListasDistribucion_IdListaDistribucion ON ComDeListasDistribucion (IdListaDistribucion);

CREATE TABLE "ComMaListasDistribucion" (
  "IdLista" INTEGER PRIMARY KEY,
  "NomLista" varchar(50) NOT NULL default ''
);
CREATE TABLE "ComMedios" (
  "IdMedio" INTEGER PRIMARY KEY,
  "NomMedio" varchar(50) NOT NULL default '',
  "TipoMedio" int(11) NOT NULL default '0',
  "Emisor" varchar(50) NOT NULL default '',
  "ListaEnvios" varchar(100) NOT NULL default ''
);
CREATE TABLE "ComEnviosCampana" (
  "IdEnvio" INTEGER PRIMARY KEY,
  "SessionEnvio" varchar(20) NOT NULL default '',
  "IdContacto" int(11) NOT NULL default '0',
  "IdMedio" int(11) NOT NULL default '0',
  "DirEnvio" varchar(50) NOT NULL default '' ,
  "FecProceso" datetime NOT NULL default '0000-00-00 00:00:00',
  "BitacoraSession" text NOT NULL,
  "ResEnvio" varchar(5) NOT NULL default ''
);
CREATE INDEX ComEnviosCampana_IdContacto ON ComEnviosCampana (IdContacto);
CREATE INDEX ComEnviosCampana_IdMedio ON ComEnviosCampana (IdMedio);

CREATE VIEW ESTRUCTURA_BD AS
    SELECT 'main'     AS TABLE_CATALOG,
           'sqlite'   AS TABLE_SCHEMA,
           tbl_name   AS TABLE_NAME,
           CASE WHEN type = 'table' THEN 'TABLE'
                WHEN type = 'view'  THEN 'VIEW'
           END        AS TABLE_TYPE,
           sql        AS TABLE_SOURCE
    FROM   sqlite_master
    WHERE  type IN ('table', 'view')
           AND tbl_name NOT LIKE 'ESTRUCTURA_%'
    ORDER BY TABLE_TYPE, TABLE_NAME;
commit;

